Page MenuHomePhabricator

[HWASan] Mention x86_64 aliasing mode in design doc.
ClosedPublic

Authored by morehouse on Mar 18 2021, 1:16 PM.

Diff Detail

Event Timeline

morehouse requested review of this revision.Mar 18 2021, 1:16 PM
morehouse created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptMar 18 2021, 1:17 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
morehouse updated this revision to Diff 331670.Mar 18 2021, 1:20 PM
  • Format fork() as code.
eugenis accepted this revision.Mar 18 2021, 1:29 PM

LGTM

clang/docs/HardwareAssistedAddressSanitizerDesign.rst
279

This statement seems a bit too strong. Maybe say something along these lines: none of the existing 32-bit platforms provide a practical way to put tag bits in the pointer, and the address space constraints make it hard to do anyway, so hwasan does not support 32-bit at the moment.

This revision is now accepted and ready to land.Mar 18 2021, 1:29 PM
morehouse updated this revision to Diff 331895.Mar 19 2021, 8:47 AM
morehouse marked an inline comment as done.
  • Expand on lack of 32 bit support.
This revision was landed with ongoing or failed builds.Mar 25 2021, 2:22 PM
This revision was automatically updated to reflect the committed changes.